package com.iformall.domain.dto;


import java.io.Serializable;
import java.util.Date;

public class WxCUserFromBDto implements Serializable {
	private static final long serialVersionUID = 1L;

	@io.swagger.annotations.ApiModelProperty(value="B端登录者ID",name="bUserId")
	private Long bUserId;
	@io.swagger.annotations.ApiModelProperty(value="C端openid",name="openid")
	private String openid;
	@io.swagger.annotations.ApiModelProperty(value="C端appid",name="appId")
	private String appId;
	@io.swagger.annotations.ApiModelProperty(value="C端会员姓名",name="name")
	private String name;
	@io.swagger.annotations.ApiModelProperty(value="C端会员性别",name="sex")
	private Integer sex;
	@io.swagger.annotations.ApiModelProperty(value="C端会员生日",name="birthdate")
	private Date birthdate;
	@io.swagger.annotations.ApiModelProperty(value="C端会员地址",name="address")
	private String address;
	@io.swagger.annotations.ApiModelProperty(value="C端会员手机号",name="phone")
	private String phone;
	@io.swagger.annotations.ApiModelProperty(value = "商户ID", name = "merchantId")
	private Long merchantId;

	public Long getbUserId() {
		return bUserId;
	}

	public void setbUserId(Long bUserId) {
		this.bUserId = bUserId;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public Date getBirthdate() {
		return birthdate;
	}

	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public Long getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(Long merchantId) {
		this.merchantId = merchantId;
	}
}
